package de.ivu.elect.business.wahl.entity;

/**
 * ELECT-14310
 */
public enum UmgangAusbleibendeErfassung {

  OHNE {
    @Override
    public boolean isAusbleibendMoeglich() {
      return false;
    }

    @Override
    public boolean isErfassungInAnderemGebietMoeglich() {
      return false;
    }
  },

  AUSBLEIBEND {
    @Override
    public boolean isAusbleibendMoeglich() {
      return true;
    }

    @Override
    public boolean isErfassungInAnderemGebietMoeglich() {
      return false;
    }
  },

  ANDERSWO {
    @Override
    public boolean isAusbleibendMoeglich() {
      return false;
    }

    @Override
    public boolean isErfassungInAnderemGebietMoeglich() {
      return true;
    }
  },

  AUSBLEIBEND_ANDERSWO {
    @Override
    public boolean isAusbleibendMoeglich() {
      return true;
    }

    @Override
    public boolean isErfassungInAnderemGebietMoeglich() {
      return true;
    }
  };

  public abstract boolean isAusbleibendMoeglich();

  public abstract boolean isErfassungInAnderemGebietMoeglich();
}
